Not logged in. · Lost password · Register
Forum: Non-English Discussion German discussion RSS
Fehlermeldung startSectionEdit: $data "plugin_dokuteaser_start" is NOT an array!
Avatar
DieterH #1
Member since May 2019 · 1 post · Location: Nürnberg
Group memberships: Members
Show profile · Link to this post
Subject: Fehlermeldung startSectionEdit: $data "plugin_dokuteaser_start" is NOT an array!
Dokuwiki-Implementierung:
Ich habe die aktuelle Version von DokuWiki (Greebo) installiert sowie eine Reihe von Plugins (siehe die unten stehende Liste).
Um zum Dokuwiki zu gelangen bedarf es einer Anmeldung (login).
Nach erfolgtem Anmelden erscheint die Fehlermeldung
startSectionEdit: $data "plugin_dokuteaser_start" is NOT an array! One of your plugins needs an update.
 mehrfach (ca. 12 mal) unmittelbar vor der Eingangsseite. Auf den Unterseiten gibt es nicht das Problem.

Meine bisherigen, erfolglosen Versuche, die Fehlermeldung loszuwerden:
1. Deaktivierung von DokuTeaser, da der Name des Plugins in der Fehlermeldung auftaucht.
Deaktivierung führt zu einer zerschossenen Einstiegs-Seite. Daraufhin habe ich DokuTeaser reaktiviert.
Unmittelbar nach Reaktivierung von DokuTeaser und erneutem Anmelden (auf Grund von F5 in Mozilla Firefox) erschien wieder die o.g. Fehlermeldung.
2. Neuinstallation aller Plugins, für die laut Erweiterungsmanager eine Neuinstallation möglich ist.
Versuch 2 fußt auf einer Empfehlung eines Forenbeitrags aus 2018. Geholfen hat diese Vorgehensweise in meinem Fall nicht.
3. Deaktivierung zahlreicher Plugins. Die zur deaktivierten Plugins sind in der unten stehenden Liste mit „[D]“ gekennzeichnet.


FRAGEN
1. In der Fehlermeldung wird nicht konkret gesagt, welches Plugin diese Fehlermeldung verursacht.
Kennt jemand das die Fehlermeldung verursachende Plugin? Ist es doch das Plugin „DokuTeaser“?
2. Gibt es eine List von Modulen und Plugins, die für eine minimales Wiki unentbehrlich sind? Auf Grundlage einer solchen Liste kann man die in der Liste nicht genannten Plugins deaktivieren und deinstallieren mit der Zielsetzung, das störende Plugin zu finden.
3. Welche PHP-Versionen sind zugelassen für Greebo? Auf meinem Rechner habe ich etliche Anwendungen, deren Unterbau PHP ist. Möglicherweise liegt das Problem in unverträglichen PHP-Versionen?
4. Genügt die (vorübergehende) Deaktivierung eines Plugins, oder ist seine Deinstallation erforderlich bei der (mühsamen) Fehlersuche?


Die Liste der bei mir installierten Module und Plugins:
ACL Manager
Add New Page
Plain Auth
Box
caption
Remove irrelevant entries from change history [D]
CodeMirror [D]
Color Syntax
Configuration Manager
DokuTeaser
Dw2PDF
Editable
Extension manager
Exttab1 for DokuWiki [D]
ImageBox [D]
IndexMenu [D]
Info
Move
Note
Popularity Feedback [D]
Publish [D]
Revert Manager
SafeFnRecode [D]
SaveAndEdit
Semantic [D]
SMTP
Styling
SyntaxHighlighter3 [D]
DokuWIki Upgrade
User Manager

Für jeden Hinweis, der zur Lösung des Problems führt, bin ich dankbar.

Viele Grüße
Dieter
Avatar
andi (Administrator) #2
User title: splitbrain
Member since May 2006 · 3471 posts · Location: Berlin Germany
Group memberships: Administrators, Members
Show profile · Link to this post
Quote by DieterH:
1. Deaktivierung von DokuTeaser, da der Name des Plugins in der Fehlermeldung auftaucht.
Deaktivierung führt zu einer zerschossenen Einstiegs-Seite.

  • Du solltest DokuTeaser gar nicht benutzen. Das ist ein für dokuwiki.org intern entwickeltes Plugin.
  • wenn due es deaktivierst, ist vermutlich die Meldung weg
  • logisch ist die startseite "kaputt", du hast ja das dort verwendete Plugin deaktiviert
  • Ein Update des Plugins sollte vermutlich das Problem beheben (Aber siehe erster Punkt)
Read this if you don't get any useful answers.
Lies dies wenn du keine hilfreichen Antworten bekommst.
Close Smaller – Larger + Reply to this post:
Verification code: VeriCode Please enter the word from the image into the text field below. (Type the letters only, lower case is okay.)
Smileys: :-) ;-) :-D :-p :blush: :cool: :rolleyes: :huh: :-/ <_< :-( :'( :#: :scared: 8-( :nuts: :-O
Special characters:
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2019-09-17, 08:48:36 (UTC +02:00)